/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di ogni sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_CIS_Microdati_2010_ESEMPIO_STRUTTURA_FILE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.CIS_2010;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=6000 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
id :6.   /*  Codice Asia */
nuts :$2.   /*  Paese di residenza dell'impresa */
nace :5.   /*  Classificazione Nace (divisione) */
GP :1.   /*  Appartenenza ad un gruppo industriale */
HO :$1.   /*  Sede dell'impresa capogruppo */
MARLOC :1.   /*  Ambito di mercato: regionale */
MARNAT :1.   /*  Ambito di mercato: nazionale */
MAREUR :1.   /*  Ambito di mercato: europeo */
MAROTH :1.   /*  Ambito di mercato: altro */
LARMAR :$1.   /*  Mercato con il maggior peso in termini di fatturato */
INPDGD :1.   /*  Innovazioni di prodotto nel triennio */
INPDSV :1.   /*  Innovazioni di servizio nel triennio */
INPDTG1 :1.   /*  Innovazioni di prodotto sviluppata dall'impresa stessa */
INPDTG2 :1.   /*  Innovazioni di prodotto sviluppata dall'impresa in collaborazione con altre imprese o istituzioni */
INPDTG3 :1.   /*  Innovazioni di prodotto sviluppata dall'impresa stessa adottando o modificando prodotti o servizi originariamentesviluppati da altre imprese o istituzioni */
INPDTG4 :1.   /*  Innovazioni di prodotto sviluppata da altre imprese o istituzioni */
INPDTS1 :1.   /*  Innovazioni di servizio sviluppata dall'impresa stessa */
INPDTS2 :1.   /*  Innovazioni di servizio sviluppata dall'impresa in collaborazione con altre imprese o istituzioni */
INPDTS3 :1.   /*  Innovazioni di servizio sviluppata dall'impresa stessa adottando o modificando prodotti o servizi originariamentesviluppati da altre imprese o istituzioni */
INPDTS4 :1.   /*  Innovazioni di servizio sviluppata da altre imprese o istituzioni */
NEWMKT :1.   /*  Prodotti o servizi nuovi (o significativamente migliorati) per il mercato di riferimento */
NEWFRM :1.   /*  Prodotti o servizi nuovi (o significativamente migliorati) solo per l'impresa */
TURNMAR :4.2   /*  Quota di fatturato 2010 derivante da prodotti o servizi nuovi (o significativamente migliorati) per il mercato di riferimento */
TURNIN :4.2   /*  Quota di fatturato 2010 derivante da prodotti o servizi nuovi (o significativamente migliorati) solo per l'impresa */
TURNUNG :4.2   /*  "Quota di fatturato 2010 derivante da prodotti o servizi non modificati, o modificati solo marginalmente (compreso la vendita di nuovi prodotti acquistati da altre imprese)" */
INPDFC :1.   /*  Presenza nel triennio 2008-2010 di almeno un prodotto nuovo in assoluto a livello nazionale */
INPDFE :1.   /*  Presenza nel triennio 2008-2010 di almeno un prodotto nuovo in assoluto in Europa */
INPDFW :1.   /*  Presenza nel triennio 2008-2010 di almeno un prodotto nuovo in assoluto a livello mondiale */
INPSPD :1.   /*  Innovazioni del processo produttivo nel triennio */
INPSLG :1.   /*  Innovazioni nei sistemi di logistica e metodi di distribuzione nel triennio */
INPSSU :1.   /*  Altre innovazioni di processo */
INPSDV1 :1.   /*  Chi ha sviluppato innovazioni di processo nel triennio: l'impresa stessa */
INPSDV2 :1.   /*  Chi ha sviluppato innovazioni di processo nel triennio: l'impresa stessa in collaborazione con altre imprese o istituzioni */
INPSDV3 :1.   /*  Chi ha sviluppato innovazioni di processo nel triennio: l'impresa stessa adottando o modificando prodotti o servizi originariamente sviluppati da altre imprese o istituzioni */
INPSDV4 :1.   /*  Chi ha sviluppato innovazioni di processo nel triennio: altre imprese o istituzioni */
INPSNM :1.   /*  Presenza di almeno un processo nuovo per il mercato di riferimento per l'impresa introdotto nel triennio */
INABA :1.   /*  Attivit di innovazione abbandonate o interrotte prima di averle completamente realizzate nel triennio 2008-2010 */
INONG :1.   /*  Attivit di innovazione ancora in corso alla fine del 2010 */
RRDIN :1.   /*  Attivit di R&S svolta allinterno dellimpresa nel triennio */
RDENG :1.   /*  Modalit di svolgimento delle attivit di R&S nel triennio */
RRDEX :1.   /*  Acquisizione di servizi di R&S dall'esterno */
RMAC :1.   /*  Acquisizione di macchinari e attrezzature per l'innovazione */
ROEK :1.   /*  Acquisizione di altre tecnologie dall'esterno */
RTR :1.   /*  Attivit di formazione per le attivit innovative */
RMAR :1.   /*  Attivit di marketing di prodotti e servizi innovativi */
RDSG :1.   /*  Attivit di progettazione (design) */
RPRE :1.   /*  Altre attivit innovative */
rrdinx :11.   /*  Spesa sostenuta per attivit di R&S svolta allinterno dellimpresa nel 2010 */
rrdexx :11.   /*  Spesa sostenuta per l'acquisizione di servizi di R&S nel 2010 */
rmacx :11.   /*  Spesa sostenuta per l'acquisizione di macchinari e attrezzature nel 2010 */
roekx :11.   /*  Spesa sostenuta per l'acquisizione di altre tecnologie dall'esterno nel 2010 */
rdsgx :11.   /*  Spesa sostenuta per attivit di progettazione (design) nel 2010 */
rprex :11.   /*  Spesa sostenuta per altre attivit innovative nel 2010 */
rtrx :$11.   /*  Spesa sostenuta per attivit di formazione per le attivit innovative nel 2010 */
rmarx :11.   /*  Spesa sostenuta per il marketing di prodotti innovativi nel 2010 */
rtot_ita :11.   /*  Spesa totale per l'innovazione sostenuta nel 2010 */
funloc :1.   /*  Sostegno pubblico all'innovazione da amministrazioni pubbliche regionali e locali */
fungmt :1.   /*  Sostegno pubblico all'innovazione da amministrazioni centrali dello Stato */
funeu :1.   /*  Sostegno pubblico all'innovazione dallUnione Europea */
funrtd :1.   /*  Sostegno pubblico all'innovazione dai Programmi Quadro Europeo per la Ricerca e lo Sviluppo Tecnologico */
SENTG :1.   /*  Fonti di informazione dell'innovazione: fonti interne */
SSUP :1.   /*  Fonti di informazione dell'innovazione: fornitori */
SCLI :1.   /*  Fonti di informazione dell'innovazione: clienti */
SCOM :1.   /*  Fonti di informazione dell'innovazione: concorrenti */
SINS :1.   /*  "Fonti di informazione dell'innovazione: consulenti, istituti di ricerca o laboratori privati " */
SUNI :1.   /*  Fonti di informazione dell'innovazione: universit */
SGMT :1.   /*  Fonti di informazione dell'innovazione: istituti di ricerca pubblici */
SCON :1.   /*  "Fonti di informazione dell'innovazione: conferenze, mostre, fiere " */
SJOU :1.   /*  Fonti di informazione dell'innovazione: riviste scientifiche e altre pubblicazioni */
SPRO :1.   /*  Fonti di informazione dell'innovazione: associazioni di categoria */
CO :1.   /*  Accordi di cooperazione per l'innovazione */
co11 :1.   /*  Accordi di cooperazione per l'innovazione con altre imprese del gruppo in Italia */
co12 :1.   /*  Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Europa */
co13 :1.   /*  Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti negli USA */
co14 :1.   /*  Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Cina o India */
co15 :1.   /*  Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in altri paesi */
co21 :1.   /*  Accordi di cooperazione per l'innovazione con fornitori in Italia */
co22 :1.   /*  Accordi di cooperazione per l'innovazione con fornitori operanti in Europa */
co23 :1.   /*  Accordi di cooperazione per l'innovazione con fornitori operanti in USA */
co24 :1.   /*  Accordi di cooperazione per l'innovazione con fornitori operanti in Cina o India */
co25 :1.   /*  Accordi di cooperazione per l'innovazione con fornitori operanti in altri paesi */
co31 :1.   /*  Accordi di cooperazione per l'innovazione con clienti in Italia */
co32 :1.   /*  Accordi di cooperazione per l'innovazione con clienti operanti in Europa */
co33 :1.   /*  Accordi di cooperazione per l'innovazione con clienti operanti in USA */
co34 :1.   /*  Accordi di cooperazione per l'innovazione con clienti operanti in in Cina o India */
co35 :1.   /*  Accordi di cooperazione per l'innovazione con clienti operanti in altri paesi */
co41 :1.   /*  Accordi di cooperazione per l'innovazione con imprese concorrenti in Italia */
co42 :1.   /*  Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in Europa */
co43 :1.   /*  Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in USA */
co44 :1.   /*  Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in in Cina o India */
co45 :1.   /*  Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in altri paesi */
co51 :1.   /*  " Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Italia " */
co52 :1.   /*  " Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Europa " */
co53 :1.   /*  " Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in USA " */
co54 :1.   /*  " Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in in Cina o India " */
co55 :1.   /*  " Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in altri paesi  " */
co61 :1.   /*  Accordi di cooperazione per l'innovazione con Universit in Italia */
co62 :1.   /*  Accordi di cooperazione per l'innovazione con Universit operanti in Europa */
co63 :1.   /*  Accordi di cooperazione per l'innovazione con Universit operanti in USA */
co64 :1.   /*  Accordi di cooperazione per l'innovazione con Universit operanti in in Cina o India */
co65 :1.   /*  Accordi di cooperazione per l'innovazione con Universit operanti in altri paesi */
co71 :1.   /*  Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici in Italia */
co72 :1.   /*  Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in Europea */
co73 :1.   /*  Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in USA */
co74 :1.   /*  Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in in Cina o India */
co75 :1.   /*  Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in altri paesi */
PMOS :$1.   /*  Tipologia di impresa o istituzione giudicata rilevante ai fini delle attivit di cooperazione */
ORANGE :1.   /*  Aumento nel numero di prodotti e servizi offerti alla clientela */
OREPL :1.   /*  " Sostituzione di prodotti, servizi e processi non pi competitivi " */
ONMOMS :1.   /*  Accesso a nuovi mercati o aumento della propria quota di mercato */
OQUA :1.   /*  Miglioramento della qualit dei propri prodotti e servizi */
OFLEX :1.   /*  Maggiore flessibilit nella produzione di beni e servizi */
OCAP :1.   /*  Maggiore capacit di produzione di beni e servizi */
OLBR :1.   /*  Riduzione del costo del lavoro per unit di prodotto */
ORME :1.   /*  Riduzione dei costi dei materiali e dell'energia per unit di prodotto */
OREI :1.   /*  Riduzione dell'impatto ambientale */
OHESY :1.   /*  Migliorare la salute e sicurezza del lavoro */
HFENT :1.   /*  Fattori di ostacolo nel triennio: mancanza di risorse finanziarie interne all'impresa o al gruppo */
HFOUT :1.   /*  Fattori di ostacolo nel triennio: mancanza di fonti di finanziamento esterne all'impresa */
HCOS :1.   /*  Fattori di ostacolo nel triennio: costi di innovazione troppo elevati */
HPER :1.   /*  Fattori di ostacolo nel triennio: mancanza di personale qualificato */
HTEC :1.   /*  Fattori di ostacolo nel triennio: mancanza di informazioni sulle tecnologie */
HINF :1.   /*  Fattori di ostacolo nel triennio: mancanza di informazioni sui mercati */
HPAR :1.   /*  Fattori di ostacolo nel triennio: difficolt di individuare partener con cui cooperare per le attivit di innovazione */
HDOM :1.   /*  Fattori di ostacolo nel triennio: mercati dominati da imprese consolidate */
HDEM :1.   /*  Fattori di ostacolo nel triennio: domanda instabile di prodotti o servizi innovativi */
HPRIOR :1.   /*  Fattori di ostacolo nel triennio: l'impresa non ritiene di innovare perch aveva gi introdotto innovazioni in precedenza */
HMAR :1.   /*  Fattori di ostacolo nel triennio: l'impresa non ritiene di innovare per soddisfare le esigenze della clientela */
ORGBUP :1.   /*  Nuove pratiche di organizzazione dellimpresa */
ORGWKP :1.   /*  Nuove metodi di organizzazione del lavoro */
ORGEXR :1.   /*  Nuove strategie organizzative nelle relazioni pubbliche */
ORORED :1.   /*  Riduzione dei tempi di risposta alle esigenze di clienti e fornitori */
OROABL :1.   /*  Miglioramento della capacit di produzione di beni e servizi */
OROQUA :1.   /*  Miglioramento della qualit dei propri prodotti e servizi */
ORORCO :1.   /*  Riduzione dei costi per unit di prodotto */
OROCIN :1.   /*  Maggiore comunicazione o condivisione di informazioni allinterno dellimpresa o con altre imprese o istituzioni */
MKTDGP :1.   /*  Modifiche significative nelle caratteristiche estetiche dei prodotti o nel confezionamento */
MKTPDP :1.   /*  Nuovi mezzi o tecniche di promozione pubblicitaria */
MKTPDL :1.   /*  Nuovi pratiche di commercializzazione dei prodotti e/o servizi */
MKTPRI :1.   /*  Nuove politiche dei prezzi */
OMKTS :1.   /*  Aumento o mantenimento della propria quota di mercato */
OMKTCG :1.   /*  Introduzione di prodotti e servizi per nuove fasce di consumatori */
OMKTGM :1.   /*  Introduzione di prodotti e servizi per nuovi mercati geografici */
SGALA :1.   /*  Impiego personale interno o professionalit esterne competenti in Arti grafiche in campo pubblicitario */
SDOS :1.   /*  Impiego personale interno o professionalit esterne competenti in design di prodotti e servizi */
SMED :1.   /*  Impiego personale interno o professionalit esterne competenti in tecniche multimediali */
SWDS :1.   /*  Impiego personale interno o professionalit esterne competenti in web design */
SSWD :1.   /*  Impiego personale interno o professionalit esterne competenti in sviluppo di software */
SMKR :1.   /*  Impiego personale interno o professionalit esterne competenti in ricerche di mercato */
SENAP :1.   /*  Impiego personale interno o professionalit esterne competenti in ingegneria/scienze applicate */
SMSDM :1.   /*  Impiego personale interno o professionalit esterne competenti in matematica/statistica/gestione di database */
MBRST :1.   /*  Introduzione di sessioni di brainstorming */
MMDCF :1.   /*  Introduzione di lavori di gruppo interdisciplinare e interfunzionale */
MJBRT :1.   /*  Introduzione di forme di rotazione lavoro */
MFIN :1.   /*  Introduzione incentivi finanziari ai dipendenti per lo sviluppo di nuove idee */
MNFIN :1.   /*  Introduzione incentivi non finanziari ai dipendenti per lo sviluppo di nuove idee */
MTREM :1.   /*  Introduzione attivit di formazione dei dipendenti volte allo sviluppo di nuove idee e di soluzioni creative */
turn08 :11.   /*  Fatturato 2008 */
turn10 :11.   /*  Fatturato 2010 */
EMP08 :6.   /*  Classi di addetti 2008 */
EMP10 :6.   /*  Classi di addetti 2010 */
EMPUD :1.   /*  Percentuale di addetti in possesso di un diploma universitario o di un diploma di laurea nel 2010 */
weight :12.8   /*  Peso finale */
;
LABEL 
id = "Codice Asia"
nuts = "Paese di residenza dell'impresa"
nace = "Classificazione Nace (divisione)"
GP = "Appartenenza ad un gruppo industriale"
HO = "Sede dell'impresa capogruppo"
MARLOC = "Ambito di mercato: regionale"
MARNAT = "Ambito di mercato: nazionale"
MAREUR = "Ambito di mercato: europeo"
MAROTH = "Ambito di mercato: altro"
LARMAR = "Mercato con il maggior peso in termini di fatturato"
INPDGD = "Innovazioni di prodotto nel triennio"
INPDSV = "Innovazioni di servizio nel triennio"
INPDTG1 = "Innovazioni di prodotto sviluppata dall'impresa stessa"
INPDTG2 = "Innovazioni di prodotto sviluppata dall'impresa in collaborazione con altre imprese o istituzioni"
INPDTG3 = "Innovazioni di prodotto sviluppata dall'impresa stessa adottando o modificando prodotti o servizi originariamentesviluppati da altre imprese o istituzioni"
INPDTG4 = "Innovazioni di prodotto sviluppata da altre imprese o istituzioni"
INPDTS1 = "Innovazioni di servizio sviluppata dall'impresa stessa"
INPDTS2 = "Innovazioni di servizio sviluppata dall'impresa in collaborazione con altre imprese o istituzioni"
INPDTS3 = "Innovazioni di servizio sviluppata dall'impresa stessa adottando o modificando prodotti o servizi originariamentesviluppati da altre imprese o istituzioni"
INPDTS4 = "Innovazioni di servizio sviluppata da altre imprese o istituzioni"
NEWMKT = "Prodotti o servizi nuovi (o significativamente migliorati) per il mercato di riferimento"
NEWFRM = "Prodotti o servizi nuovi (o significativamente migliorati) solo per l'impresa"
TURNMAR = "Quota di fatturato 2010 derivante da prodotti o servizi nuovi (o significativamente migliorati) per il mercato di riferimento"
TURNIN = "Quota di fatturato 2010 derivante da prodotti o servizi nuovi (o significativamente migliorati) solo per l'impresa"
TURNUNG = " Quota di fatturato 2010 derivante da prodotti o servizi non modificati, o modificati solo marginalmente (compreso la vendita di nuovi prodotti acquistati da altre imprese) "
INPDFC = "Presenza nel triennio 2008-2010 di almeno un prodotto nuovo in assoluto a livello nazionale"
INPDFE = "Presenza nel triennio 2008-2010 di almeno un prodotto nuovo in assoluto in Europa"
INPDFW = "Presenza nel triennio 2008-2010 di almeno un prodotto nuovo in assoluto a livello mondiale"
INPSPD = "Innovazioni del processo produttivo nel triennio"
INPSLG = "Innovazioni nei sistemi di logistica e metodi di distribuzione nel triennio"
INPSSU = "Altre innovazioni di processo"
INPSDV1 = "Chi ha sviluppato innovazioni di processo nel triennio: l'impresa stessa"
INPSDV2 = "Chi ha sviluppato innovazioni di processo nel triennio: l'impresa stessa in collaborazione con altre imprese o istituzioni"
INPSDV3 = "Chi ha sviluppato innovazioni di processo nel triennio: l'impresa stessa adottando o modificando prodotti o servizi originariamente sviluppati da altre imprese o istituzioni"
INPSDV4 = "Chi ha sviluppato innovazioni di processo nel triennio: altre imprese o istituzioni"
INPSNM = "Presenza di almeno un processo nuovo per il mercato di riferimento per l'impresa introdotto nel triennio"
INABA = "Attivit di innovazione abbandonate o interrotte prima di averle completamente realizzate nel triennio 2008-2010"
INONG = "Attivit di innovazione ancora in corso alla fine del 2010"
RRDIN = "Attivit di R&S svolta allinterno dellimpresa nel triennio"
RDENG = "Modalit di svolgimento delle attivit di R&S nel triennio"
RRDEX = "Acquisizione di servizi di R&S dall'esterno"
RMAC = "Acquisizione di macchinari e attrezzature per l'innovazione"
ROEK = "Acquisizione di altre tecnologie dall'esterno"
RTR = "Attivit di formazione per le attivit innovative"
RMAR = "Attivit di marketing di prodotti e servizi innovativi"
RDSG = "Attivit di progettazione (design)"
RPRE = "Altre attivit innovative"
rrdinx = "Spesa sostenuta per attivit di R&S svolta allinterno dellimpresa nel 2010"
rrdexx = "Spesa sostenuta per l'acquisizione di servizi di R&S nel 2010"
rmacx = "Spesa sostenuta per l'acquisizione di macchinari e attrezzature nel 2010"
roekx = "Spesa sostenuta per l'acquisizione di altre tecnologie dall'esterno nel 2010"
rdsgx = "Spesa sostenuta per attivit di progettazione (design) nel 2010"
rprex = "Spesa sostenuta per altre attivit innovative nel 2010"
rtrx = "Spesa sostenuta per attivit di formazione per le attivit innovative nel 2010"
rmarx = "Spesa sostenuta per il marketing di prodotti innovativi nel 2010"
rtot_ita = "Spesa totale per l'innovazione sostenuta nel 2010"
funloc = "Sostegno pubblico all'innovazione da amministrazioni pubbliche regionali e locali"
fungmt = "Sostegno pubblico all'innovazione da amministrazioni centrali dello Stato"
funeu = "Sostegno pubblico all'innovazione dallUnione Europea"
funrtd = "Sostegno pubblico all'innovazione dai Programmi Quadro Europeo per la Ricerca e lo Sviluppo Tecnologico"
SENTG = "Fonti di informazione dell'innovazione: fonti interne"
SSUP = "Fonti di informazione dell'innovazione: fornitori"
SCLI = "Fonti di informazione dell'innovazione: clienti"
SCOM = "Fonti di informazione dell'innovazione: concorrenti"
SINS = " Fonti di informazione dell'innovazione: consulenti, istituti di ricerca o laboratori privati  "
SUNI = "Fonti di informazione dell'innovazione: universit"
SGMT = "Fonti di informazione dell'innovazione: istituti di ricerca pubblici"
SCON = " Fonti di informazione dell'innovazione: conferenze, mostre, fiere  "
SJOU = "Fonti di informazione dell'innovazione: riviste scientifiche e altre pubblicazioni"
SPRO = "Fonti di informazione dell'innovazione: associazioni di categoria"
CO = "Accordi di cooperazione per l'innovazione"
co11 = "Accordi di cooperazione per l'innovazione con altre imprese del gruppo in Italia"
co12 = "Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Europa"
co13 = "Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti negli USA"
co14 = "Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Cina o India"
co15 = "Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in altri paesi"
co21 = "Accordi di cooperazione per l'innovazione con fornitori in Italia"
co22 = "Accordi di cooperazione per l'innovazione con fornitori operanti in Europa"
co23 = "Accordi di cooperazione per l'innovazione con fornitori operanti in USA"
co24 = "Accordi di cooperazione per l'innovazione con fornitori operanti in Cina o India"
co25 = "Accordi di cooperazione per l'innovazione con fornitori operanti in altri paesi"
co31 = "Accordi di cooperazione per l'innovazione con clienti in Italia"
co32 = "Accordi di cooperazione per l'innovazione con clienti operanti in Europa"
co33 = "Accordi di cooperazione per l'innovazione con clienti operanti in USA"
co34 = "Accordi di cooperazione per l'innovazione con clienti operanti in in Cina o India"
co35 = "Accordi di cooperazione per l'innovazione con clienti operanti in altri paesi"
co41 = "Accordi di cooperazione per l'innovazione con imprese concorrenti in Italia"
co42 = "Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in Europa"
co43 = "Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in USA"
co44 = "Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in in Cina o India"
co45 = "Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in altri paesi"
co51 = "  Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Italia  "
co52 = "  Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Europa  "
co53 = "  Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in USA  "
co54 = "  Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in in Cina o India  "
co55 = "  Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in altri paesi   "
co61 = "Accordi di cooperazione per l'innovazione con Universit in Italia"
co62 = "Accordi di cooperazione per l'innovazione con Universit operanti in Europa"
co63 = "Accordi di cooperazione per l'innovazione con Universit operanti in USA"
co64 = "Accordi di cooperazione per l'innovazione con Universit operanti in in Cina o India"
co65 = "Accordi di cooperazione per l'innovazione con Universit operanti in altri paesi"
co71 = "Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici in Italia"
co72 = "Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in Europea"
co73 = "Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in USA"
co74 = "Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in in Cina o India"
co75 = "Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in altri paesi"
PMOS = "Tipologia di impresa o istituzione giudicata rilevante ai fini delle attivit di cooperazione"
ORANGE = "Aumento nel numero di prodotti e servizi offerti alla clientela"
OREPL = "  Sostituzione di prodotti, servizi e processi non pi competitivi  "
ONMOMS = "Accesso a nuovi mercati o aumento della propria quota di mercato"
OQUA = "Miglioramento della qualit dei propri prodotti e servizi"
OFLEX = "Maggiore flessibilit nella produzione di beni e servizi"
OCAP = "Maggiore capacit di produzione di beni e servizi"
OLBR = "Riduzione del costo del lavoro per unit di prodotto"
ORME = "Riduzione dei costi dei materiali e dell'energia per unit di prodotto"
OREI = "Riduzione dell'impatto ambientale"
OHESY = "Migliorare la salute e sicurezza del lavoro"
HFENT = "Fattori di ostacolo nel triennio: mancanza di risorse finanziarie interne all'impresa o al gruppo"
HFOUT = "Fattori di ostacolo nel triennio: mancanza di fonti di finanziamento esterne all'impresa"
HCOS = "Fattori di ostacolo nel triennio: costi di innovazione troppo elevati"
HPER = "Fattori di ostacolo nel triennio: mancanza di personale qualificato"
HTEC = "Fattori di ostacolo nel triennio: mancanza di informazioni sulle tecnologie"
HINF = "Fattori di ostacolo nel triennio: mancanza di informazioni sui mercati"
HPAR = "Fattori di ostacolo nel triennio: difficolt di individuare partener con cui cooperare per le attivit di innovazione"
HDOM = "Fattori di ostacolo nel triennio: mercati dominati da imprese consolidate"
HDEM = "Fattori di ostacolo nel triennio: domanda instabile di prodotti o servizi innovativi"
HPRIOR = "Fattori di ostacolo nel triennio: l'impresa non ritiene di innovare perch aveva gi introdotto innovazioni in precedenza"
HMAR = "Fattori di ostacolo nel triennio: l'impresa non ritiene di innovare per soddisfare le esigenze della clientela"
ORGBUP = "Nuove pratiche di organizzazione dellimpresa"
ORGWKP = "Nuove metodi di organizzazione del lavoro"
ORGEXR = "Nuove strategie organizzative nelle relazioni pubbliche"
ORORED = "Riduzione dei tempi di risposta alle esigenze di clienti e fornitori"
OROABL = "Miglioramento della capacit di produzione di beni e servizi"
OROQUA = "Miglioramento della qualit dei propri prodotti e servizi"
ORORCO = "Riduzione dei costi per unit di prodotto"
OROCIN = "Maggiore comunicazione o condivisione di informazioni allinterno dellimpresa o con altre imprese o istituzioni"
MKTDGP = "Modifiche significative nelle caratteristiche estetiche dei prodotti o nel confezionamento"
MKTPDP = "Nuovi mezzi o tecniche di promozione pubblicitaria"
MKTPDL = "Nuovi pratiche di commercializzazione dei prodotti e/o servizi"
MKTPRI = "Nuove politiche dei prezzi"
OMKTS = "Aumento o mantenimento della propria quota di mercato"
OMKTCG = "Introduzione di prodotti e servizi per nuove fasce di consumatori"
OMKTGM = "Introduzione di prodotti e servizi per nuovi mercati geografici"
SGALA = "Impiego personale interno o professionalit esterne competenti in Arti grafiche in campo pubblicitario"
SDOS = "Impiego personale interno o professionalit esterne competenti in design di prodotti e servizi"
SMED = "Impiego personale interno o professionalit esterne competenti in tecniche multimediali"
SWDS = "Impiego personale interno o professionalit esterne competenti in web design"
SSWD = "Impiego personale interno o professionalit esterne competenti in sviluppo di software"
SMKR = "Impiego personale interno o professionalit esterne competenti in ricerche di mercato"
SENAP = "Impiego personale interno o professionalit esterne competenti in ingegneria/scienze applicate"
SMSDM = "Impiego personale interno o professionalit esterne competenti in matematica/statistica/gestione di database"
MBRST = "Introduzione di sessioni di brainstorming"
MMDCF = "Introduzione di lavori di gruppo interdisciplinare e interfunzionale"
MJBRT = "Introduzione di forme di rotazione lavoro"
MFIN = "Introduzione incentivi finanziari ai dipendenti per lo sviluppo di nuove idee"
MNFIN = "Introduzione incentivi non finanziari ai dipendenti per lo sviluppo di nuove idee"
MTREM = "Introduzione attivit di formazione dei dipendenti volte allo sviluppo di nuove idee e di soluzioni creative"
turn08 = "Fatturato 2008"
turn10 = "Fatturato 2010"
EMP08 = "Classi di addetti 2008"
EMP10 = "Classi di addetti 2010"
EMPUD = "Percentuale di addetti in possesso di un diploma universitario o di un diploma di laurea nel 2010"
weight = "Peso finale"
;
RUN;
PROC FORMAT;
VALUE $nut1F /* nuts */
"IT" = "ITALIA"
;
VALUE nac2F /* nace */
B= "MINING AND QUARRYING"
10= "Manufacture of food products"
11= "Manufacture of beverages"
13= "Manufacture of textiles"
14= "Manufacture of wearing apparel"
15= "Manufacture of leather and related products"
16= "Manufacture of wood and of products of wood and cork, except furniture; manufacture of articles of straw and plaiting materials"
17= "Manufacture of paper and paper products"
18= "Printing and reproduction of recorded media"
19= "Manufacture of coke and refined petroleum products"
20= "Manufacture of chemicals and chemical products"
21= "Manufacture of basic pharmaceutical products and pharmaceutical preparations"
22= "Manufacture of rubber and plastic products"
23= "Manufacture of other non-metallic mineral products"
24= "Manufacture of basic metals"
25= "Manufacture of fabricated metal products, except machinery and equipment"
26= "Manufacture of computer, electronic and optical products"
27= "Manufacture of electrical equipment"
28= "Manufacture of machinery and equipment n.e.c."
29= "Manufacture of motor vehicles, trailers and semi-trailers"
30= "Manufacture of other transport equipment"
31= "Manufacture of furniture"
32= "Other manufacturing"
33= "Repair and installation of machinery and equipment"
35= "Electricity, gas, steam and air conditioning supply"
36= "Water collection, treatment and supply"
37= "Sewerage"
41= "Construction of buildings"
42= "Civil engineering"
43= "Specialised construction activities"
45= "Wholesale and retail trade and repair of motor vehicles and motorcycles"
46= "Wholesale trade, except of motor vehicles and motorcycles"
47= "Retail trade, except of motor vehicles and motorcycles"
49= "Land transport and transport via pipelines"
50= "Water transport"
51= "Air transport"
52= "Warehousing and support activities for transportation"
53= "Postal and courier activities"
58= "Publishing activities"
61= "Telecommunications"
62= "Computer programming, consultancy and related activities"
63= "Information service activities"
64= "Financial service activities, except insurance and pension funding"
65= "Insurance, reinsurance and pension funding, except compulsory social security"
66= "Activities auxiliary to financial services and insurance activities"
70= "Activities of head offices; management consultancy activities"
71= "Architectural and engineering activities; technical testing and analysis"
72= "Scientific research and development"
73= "Advertising and marketing research"
74= "Other professional, scientific and technical activities"
38-39= "Waste collection, treatment and disposal activities; materials recovery; Remediation activities and other waste management services"
;
VALUE GP3F /* GP */
0= "No"
1= "Si"
;
VALUE $HO4F /* HO */
"." = "Non applicabile"
"Z" = "Missing"
"1" = "Italy"
"2" = "Europa + Paesi Candidati + Paesi EFTA"
"3" = "Resto del mondo"
;
VALUE MAR5F /* MARLOC */
0= "No"
1= "Si"
;
VALUE MAR6F /* MARNAT */
VALUE MAR7F /* MAREUR */
VALUE MAR8F /* MAROTH */
VALUE $LAR9F /* LARMAR */
"A" = "Regione nella quale limpresa ha la sua sede operativa"
"B" = "Altre regioni del territorio nazionale (differenti da quella in cui  ubicata la sede operativa)"
"C" = "Stati membri UE, paesi candidati UE, paesi EFTA"
"D" = "Altri paesi"
;
VALUE INP10F /* INPDGD */
VALUE INP11F /* INPDSV */
0= "No"
1= "Si"
;
VALUE INP12F /* INPDTG1 */
VALUE INP13F /* INPDTG2 */
VALUE INP14F /* INPDTG3 */
VALUE INP15F /* INPDTG4 */
VALUE INP16F /* INPDTS1 */
VALUE INP17F /* INPDTS2 */
VALUE INP18F /* INPDTS3 */
VALUE INP19F /* INPDTS4 */
VALUE NEW20F /* NEWMKT */
VALUE NEW21F /* NEWFRM */
VALUE INP25F /* INPDFC */
0= "No"
1= "Si"
2= "Non so"
;
VALUE INP26F /* INPDFE */
VALUE INP27F /* INPDFW */
VALUE INP28F /* INPSPD */
0= "No"
1= "Si"
;
VALUE INP29F /* INPSLG */
VALUE INP30F /* INPSSU */
VALUE INP31F /* INPSDV1 */
VALUE INP32F /* INPSDV2 */
VALUE INP33F /* INPSDV3 */
VALUE INP34F /* INPSDV4 */
VALUE INP35F /* INPSNM */
VALUE INA36F /* INABA */
VALUE INO37F /* INONG */
VALUE RRD38F /* RRDIN */
0= "No"
1= "Si"
;
VALUE RDE39F /* RDENG */
.= "Assente se l'impresa non ha svolto attivit di R&S nel triennio"
1= "Sistematica"
2= "Occasionale"
;
VALUE RRD40F /* RRDEX */
VALUE RMA41F /* RMAC */
VALUE ROE42F /* ROEK */
VALUE RTR43F /* RTR */
VALUE RMA44F /* RMAR */
VALUE RDS45F /* RDSG */
VALUE RPR46F /* RPRE */
VALUE fun56F /* funloc */
0= "No"
1= "Si"
;
VALUE fun57F /* fungmt */
VALUE fun58F /* funeu */
VALUE fun59F /* funrtd */
VALUE SEN60F /* SENTG */
0= "Fonte non utilizzata"
1= "Basso"
2= "Medio"
3= "Alto"
;
VALUE SSU61F /* SSUP */
VALUE SCL62F /* SCLI */
VALUE SCO63F /* SCOM */
VALUE SIN64F /* SINS */
VALUE SUN65F /* SUNI */
VALUE SGM66F /* SGMT */
VALUE SCO67F /* SCON */
VALUE SJO68F /* SJOU */
VALUE SPR69F /* SPRO */
VALUE CO70F /* CO */
VALUE co171F /* co11 */
0= "No"
1= "Si"
;
VALUE co172F /* co12 */
VALUE co173F /* co13 */
VALUE co174F /* co14 */
VALUE co175F /* co15 */
VALUE co276F /* co21 */
VALUE co277F /* co22 */
VALUE co278F /* co23 */
VALUE co279F /* co24 */
VALUE co280F /* co25 */
VALUE co381F /* co31 */
VALUE co382F /* co32 */
VALUE co383F /* co33 */
VALUE co384F /* co34 */
VALUE co385F /* co35 */
VALUE co486F /* co41 */
VALUE co487F /* co42 */
VALUE co488F /* co43 */
VALUE co489F /* co44 */
VALUE co490F /* co45 */
VALUE co591F /* co51 */
VALUE co592F /* co52 */
VALUE co593F /* co53 */
VALUE co594F /* co54 */
VALUE co595F /* co55 */
VALUE co696F /* co61 */
VALUE co697F /* co62 */
VALUE co698F /* co63 */
VALUE co699F /* co64 */
VALUE co6100F /* co65 */
VALUE co7101F /* co71 */
VALUE co7102F /* co72 */
VALUE co7103F /* co73 */
VALUE co7104F /* co74 */
VALUE co7105F /* co75 */
0= "No"
1= "Si"
;
VALUE $PMO106F /* PMOS */
"A" = "Altre imprese dello stesso gruppo"
"B" = "Fornitori"
"C" = "Clienti"
"D" = "Imprese concorrenti"
"E" = "Consulenti, istituti di ricerca e laboratori privati"
"F" = "Universit o altri istituti di istruzione superiore"
"G" = "Istituti di ricerca pubblici"
;
VALUE ORA107F /* ORANGE */
0= "Nullo"
1= "Basso"
2= "Medio"
3= "Alto"
;
VALUE ORE108F /* OREPL */
VALUE ONM109F /* ONMOMS */
VALUE OQU110F /* OQUA */
VALUE OFL111F /* OFLEX */
VALUE OCA112F /* OCAP */
VALUE OLB113F /* OLBR */
VALUE ORM114F /* ORME */
VALUE ORE115F /* OREI */
VALUE OHE116F /* OHESY */
VALUE HFE117F /* HFENT */
0= "Nessun ostacolo di questo tipo"
1= "Basso"
2= "Medio"
3= "Alto"
;
VALUE HFO118F /* HFOUT */
VALUE HCO119F /* HCOS */
VALUE HPE120F /* HPER */
VALUE HTE121F /* HTEC */
VALUE HIN122F /* HINF */
VALUE HPA123F /* HPAR */
VALUE HDO124F /* HDOM */
VALUE HDE125F /* HDEM */
VALUE HPR126F /* HPRIOR */
VALUE HMA127F /* HMAR */
VALUE ORG128F /* ORGBUP */
0= "No"
1= "Si"
;
VALUE ORG129F /* ORGWKP */
VALUE ORG130F /* ORGEXR */
VALUE ORO131F /* ORORED */
0= "Nullo"
1= "Basso"
2= "Medio"
3= "Alto"
;
VALUE ORO132F /* OROABL */
VALUE ORO133F /* OROQUA */
VALUE ORO134F /* ORORCO */
VALUE ORO135F /* OROCIN */
VALUE MKT136F /* MKTDGP */
VALUE MKT137F /* MKTPDP */
VALUE MKT138F /* MKTPDL */
VALUE MKT139F /* MKTPRI */
VALUE OMK140F /* OMKTS */
VALUE OMK141F /* OMKTCG */
VALUE OMK142F /* OMKTGM */
VALUE SGA143F /* SGALA */
0= "Competenze non impiegate o non rilevanti"
1= "Personale interno"
2= "Figure professionali esterne"
3= "Personale interno e figure professionali esterne"
;
VALUE SDO144F /* SDOS */
VALUE SME145F /* SMED */
VALUE SWD146F /* SWDS */
VALUE SSW147F /* SSWD */
VALUE SMK148F /* SMKR */
VALUE SEN149F /* SENAP */
VALUE SMS150F /* SMSDM */
VALUE MBR151F /* MBRST */
0= "Pratiche mai utilizzate"
1= "Pratiche adottate con successo"
2= "Pratiche non adottate con successo"
3= "L'impresa non sa se le pratiche adottate hanno avuto successo"
;
VALUE MMD152F /* MMDCF */
VALUE MJB153F /* MJBRT */
VALUE MFI154F /* MFIN */
VALUE MNF155F /* MNFIN */
VALUE MTR156F /* MTREM */
VALUE EMP159F /* EMP08 */
ALL= "Totale (solo per NACE 37)"
<=10= "Meno di 10 addetti"
250+= "250 addetti e oltre"
10-49= "10-49 addetti"
50-249= "50-249 addetti"
;
VALUE EMP160F /* EMP10 */
VALUE EMP161F /* EMPUD */
0= "0%"
1= "1-4%"
2= "5-9%"
3= "10-24%"
4= "25-49%"
5= "50-74%"
6= "75% to 100%"
;
format nuts $nut1F.;
format nace nac2F.;
format GP GP3F.;
format HO $HO4F.;
format MARLOC MAR5F.;
format MARNAT MAR6F.;
format MAREUR MAR7F.;
format MAROTH MAR8F.;
format LARMAR $LAR9F.;
format INPDGD INP10F.;
format INPDSV INP11F.;
format INPDTG1 INP12F.;
format INPDTG2 INP13F.;
format INPDTG3 INP14F.;
format INPDTG4 INP15F.;
format INPDTS1 INP16F.;
format INPDTS2 INP17F.;
format INPDTS3 INP18F.;
format INPDTS4 INP19F.;
format NEWMKT NEW20F.;
format NEWFRM NEW21F.;
format INPDFC INP25F.;
format INPDFE INP26F.;
format INPDFW INP27F.;
format INPSPD INP28F.;
format INPSLG INP29F.;
format INPSSU INP30F.;
format INPSDV1 INP31F.;
format INPSDV2 INP32F.;
format INPSDV3 INP33F.;
format INPSDV4 INP34F.;
format INPSNM INP35F.;
format INABA INA36F.;
format INONG INO37F.;
format RRDIN RRD38F.;
format RDENG RDE39F.;
format RRDEX RRD40F.;
format RMAC RMA41F.;
format ROEK ROE42F.;
format RTR RTR43F.;
format RMAR RMA44F.;
format RDSG RDS45F.;
format RPRE RPR46F.;
format funloc fun56F.;
format fungmt fun57F.;
format funeu fun58F.;
format funrtd fun59F.;
format SENTG SEN60F.;
format SSUP SSU61F.;
format SCLI SCL62F.;
format SCOM SCO63F.;
format SINS SIN64F.;
format SUNI SUN65F.;
format SGMT SGM66F.;
format SCON SCO67F.;
format SJOU SJO68F.;
format SPRO SPR69F.;
format CO CO70F.;
format co11 co171F.;
format co12 co172F.;
format co13 co173F.;
format co14 co174F.;
format co15 co175F.;
format co21 co276F.;
format co22 co277F.;
format co23 co278F.;
format co24 co279F.;
format co25 co280F.;
format co31 co381F.;
format co32 co382F.;
format co33 co383F.;
format co34 co384F.;
format co35 co385F.;
format co41 co486F.;
format co42 co487F.;
format co43 co488F.;
format co44 co489F.;
format co45 co490F.;
format co51 co591F.;
format co52 co592F.;
format co53 co593F.;
format co54 co594F.;
format co55 co595F.;
format co61 co696F.;
format co62 co697F.;
format co63 co698F.;
format co64 co699F.;
format co65 co6100F.;
format co71 co7101F.;
format co72 co7102F.;
format co73 co7103F.;
format co74 co7104F.;
format co75 co7105F.;
format PMOS $PMO106F.;
format ORANGE ORA107F.;
format OREPL ORE108F.;
format ONMOMS ONM109F.;
format OQUA OQU110F.;
format OFLEX OFL111F.;
format OCAP OCA112F.;
format OLBR OLB113F.;
format ORME ORM114F.;
format OREI ORE115F.;
format OHESY OHE116F.;
format HFENT HFE117F.;
format HFOUT HFO118F.;
format HCOS HCO119F.;
format HPER HPE120F.;
format HTEC HTE121F.;
format HINF HIN122F.;
format HPAR HPA123F.;
format HDOM HDO124F.;
format HDEM HDE125F.;
format HPRIOR HPR126F.;
format HMAR HMA127F.;
format ORGBUP ORG128F.;
format ORGWKP ORG129F.;
format ORGEXR ORG130F.;
format ORORED ORO131F.;
format OROABL ORO132F.;
format OROQUA ORO133F.;
format ORORCO ORO134F.;
format OROCIN ORO135F.;
format MKTDGP MKT136F.;
format MKTPDP MKT137F.;
format MKTPDL MKT138F.;
format MKTPRI MKT139F.;
format OMKTS OMK140F.;
format OMKTCG OMK141F.;
format OMKTGM OMK142F.;
format SGALA SGA143F.;
format SDOS SDO144F.;
format SMED SME145F.;
format SWDS SWD146F.;
format SSWD SSW147F.;
format SMKR SMK148F.;
format SENAP SEN149F.;
format SMSDM SMS150F.;
format MBRST MBR151F.;
format MMDCF MMD152F.;
format MJBRT MJB153F.;
format MFIN MFI154F.;
format MNFIN MNF155F.;
format MTREM MTR156F.;
format EMP08 EMP159F.;
format EMP10 EMP160F.;
format EMPUD EMP161F.;
RUN;
